@echo off
SET PACKDIR=A
if "%1"=="" goto noversion
goto dopack
:noversion
SET VERSION=163
:dopack
SET ZIPNAME=MPXP%VERSION%D.ZIP
md %PACKDIR%
md %PACKDIR%\DOCS
del %PACKDIR%\*.exe
del %PACKDIR%\DOCS\*.WIN
del %PACKDIR%\DOCS\*.TXT
del %ZIPNAME%
rem TODO
rem cd ..
rem EXTLIBS\sc.exe mpxplay.exe
rem cd DOCS
copy ..\mpxplay.exe %PACKDIR%
copy MPXPLAY\COMMON\DOCS\*.* %PACKDIR%\DOCS\
copy MPXPLAY\DOS\*.* %PACKDIR%
copy MPXPLAY\DOS\DOCS\*.* %PACKDIR%\DOCS\
copy MPXPLAY\DOS32A\*.* %PACKDIR%
cd %PACKDIR%
c:\UTILS\7z.exe a -tzip -r -scsWIN ..\%ZIPNAME% > NUL
cd ..
